    #include <stdio.h>
    #include <windows.h>
    #include <stdlib.h>
    // CreateFile()
    #define dwDesiredAccess GENERIC_READ | GENERIC_WRITE
    #define dwShareMode 0
    #define CreateDisposition OPEN_EXISTING
    #define Flag FILE_FLAG_OVERLAPPED
    // PurgeComm()
    #define dwFlags PURGE_RXCLEAR | PURGE_TXCLEAR
    HANDLE WINAPI Init(char*); // Retourne le HANDLE de COM1
    void Ecrire_COM(HANDLE, char); // passe ces deux arg à WriteFile()
    char Lire_COM(HANDLE);
    int main(int argc, char *argv[]) {
        HANDLE hCom = Init("COM1" ); // hCOM = HANDLE COM1
        int Success;
        char car = 'a';
        unsigned long written;
        /* PROGRAMME DE TEST */
            Ecrire_COM(hCom, 'a');
        /* FIN */
        /* FERMETURE DU HANDLE, FIN DU PROGRAMME */
        Success = CloseHandle(hCom);
        if(!Success) {
            printf("Impossible de fermer le HANDLE" );
            return -1;
        }
        printf("HANDLE fermé. Fin du programme." );
        return 0;
    }
    HANDLE WINAPI Init(char* COM) { // FONCTION D'INITIALISATION
        DCB dcb;
        HANDLE hCom;
        int Success;
        hCom = CreateFile(COM, dwDesiredAccess, dwShareMode, NULL, CreateDisposition, Flag, NULL);
        // RECUPERE HANDLE SUR PORT COM
        if( hCom == INVALID_HANDLE_VALUE) { // HANDLE invalide ?
            printf("Erreur lors de la création du HANDLE hCom.\n" );
            printf("Le port ne peut pas être ouvert ?\n" );
            return hCom;
        }
        else { // HANDLE valide
            Success = GetCommState(hCom, &dcb); // Copie de DCB
            if(!Success)  // Copie de DCB ratée
                printf("Copie de DCB raté.\n" );
            else { // MODIFICATION DE DCB
                dcb.fParity = NOPARITY; // 0 parité
                dcb.BaudRate = 1200; // 1200b/s
                dcb.ByteSize = 8; // Mot d'un octet (8 bits)
                dcb.StopBits = ONESTOPBIT; // 1 bit de stop
                Success = SetCommState(hCom, &dcb); // Reinit COM
                if(!Success) // COM1 n'utilise pas notre DCB
                    printf("Impossible de réinitialiser le port série." );
                else { // COM1 UTILISE NOTRE DCB
                    Success = PurgeComm(hCom, dwFlags);
                    if(!Success) // Impossible de vider les buffers
                        printf("Purge des buffers échouée." );
                    else { // buffers vidés
                        printf("Port série prêt, avec les paramètres désirés.\n" );
                        return hCom;
                    }
                }
            }
        }
    }
    void Ecrire_COM(HANDLE hCom, char caractere) {
        int Success;
        DWORD written; // nombre de caractère écrit [inutile mais nécessaire...]
        Success = WriteFile(hCom, &caractere, 1, &written, NULL);
        if(Success == 0) { // Echec de WriteFile()
            printf("Ecriture échouée.\n\n" );
            written = GetLastError();
            printf("Erreur n° %d\n\n", written);
        }
        else
            printf("Ecriture réussie." );
    }